/* Ofront 1.2 -xtspa */

#ifndef CmdlnTexts__h
#define CmdlnTexts__h

#include "SYSTEM.h"
#include "Files.h"

typedef
	struct CmdlnTexts_BufDesc {
		LONGINT len;
		char _prvt0[4];
	} CmdlnTexts_BufDesc;

typedef
	CmdlnTexts_BufDesc *CmdlnTexts_Buffer;

typedef
	struct CmdlnTexts_ElemMsg {
		char _prvt0[1];
	} CmdlnTexts_ElemMsg;

typedef
	struct CmdlnTexts_ElemDesc *CmdlnTexts_Elem;

typedef
	struct CmdlnTexts_CopyMsg { /* CmdlnTexts_ElemMsg */
		CmdlnTexts_Elem e;
	} CmdlnTexts_CopyMsg;

typedef
	struct CmdlnTexts_RunDesc {
		LONGINT _prvt0;
		char _prvt1[15];
	} CmdlnTexts_RunDesc;

typedef
	void (*CmdlnTexts_Handler)();

typedef
	struct CmdlnTexts_ElemDesc {
		char _prvt0[20];
		LONGINT W, H;
		CmdlnTexts_Handler handle;
		char _prvt1[4];
	} CmdlnTexts_ElemDesc;

typedef
	struct CmdlnTexts_FileMsg { /* CmdlnTexts_ElemMsg */
		INTEGER id;
		LONGINT pos;
		Files_Rider r;
	} CmdlnTexts_FileMsg;

typedef
	struct CmdlnTexts_FontDesc {
		char _prvt0[32];
	} CmdlnTexts_FontDesc;

typedef
	CmdlnTexts_FontDesc *CmdlnTexts_FontsFont;

typedef
	struct CmdlnTexts_IdentifyMsg { /* CmdlnTexts_ElemMsg */
		CHAR mod[32], proc[32];
	} CmdlnTexts_IdentifyMsg;

typedef
	struct CmdlnTexts_Reader {
		BOOLEAN eot;
		CmdlnTexts_FontsFont fnt;
		SHORTINT col, voff;
		CmdlnTexts_Elem elem;
		char _prvt0[32];
	} CmdlnTexts_Reader;

typedef
	struct CmdlnTexts_Scanner { /* CmdlnTexts_Reader */
		BOOLEAN eot;
		CmdlnTexts_FontsFont fnt;
		SHORTINT col, voff;
		CmdlnTexts_Elem elem;
		char _prvt0[32];
		CHAR nextCh;
		INTEGER line, class;
		LONGINT i;
		REAL x;
		LONGREAL y;
		CHAR c;
		SHORTINT len;
		CHAR s[64];
	} CmdlnTexts_Scanner;

typedef
	struct CmdlnTexts_TextDesc *CmdlnTexts_Text;

typedef
	struct CmdlnTexts_TextDesc {
		LONGINT len;
		char _prvt0[12];
	} CmdlnTexts_TextDesc;

typedef
	struct CmdlnTexts_Writer {
		CmdlnTexts_Buffer buf;
		CmdlnTexts_FontsFont fnt;
		SHORTINT col, voff;
		char _prvt0[26];
	} CmdlnTexts_Writer;


import CmdlnTexts_Elem CmdlnTexts_new;

import long *CmdlnTexts_FontDesc__typ;
import long *CmdlnTexts_RunDesc__typ;
import long *CmdlnTexts_ElemMsg__typ;
import long *CmdlnTexts_ElemDesc__typ;
import long *CmdlnTexts_FileMsg__typ;
import long *CmdlnTexts_CopyMsg__typ;
import long *CmdlnTexts_IdentifyMsg__typ;
import long *CmdlnTexts_BufDesc__typ;
import long *CmdlnTexts_TextDesc__typ;
import long *CmdlnTexts_Reader__typ;
import long *CmdlnTexts_Scanner__typ;
import long *CmdlnTexts_Writer__typ;

import void CmdlnTexts_Append ();
import void CmdlnTexts_ChangeLooks ();
import void CmdlnTexts_Close ();
import void CmdlnTexts_Copy ();
import void CmdlnTexts_CopyElem ();
import void CmdlnTexts_Delete ();
import CmdlnTexts_Text CmdlnTexts_ElemBase ();
import LONGINT CmdlnTexts_ElemPos ();
import void CmdlnTexts_Insert ();
import void CmdlnTexts_Load ();
import void CmdlnTexts_Open ();
import void CmdlnTexts_OpenBuf ();
import void CmdlnTexts_OpenReader ();
import void CmdlnTexts_OpenScanner ();
import void CmdlnTexts_OpenWriter ();
import LONGINT CmdlnTexts_Pos ();
import void CmdlnTexts_Read ();
import void CmdlnTexts_ReadElem ();
import void CmdlnTexts_ReadPrevElem ();
import void CmdlnTexts_Recall ();
import void CmdlnTexts_Save ();
import void CmdlnTexts_Scan ();
import void CmdlnTexts_SetColor ();
import void CmdlnTexts_SetFont ();
import void CmdlnTexts_SetOffset ();
import void CmdlnTexts_Store ();
import void CmdlnTexts_Write ();
import void CmdlnTexts_WriteDate ();
import void CmdlnTexts_WriteElem ();
import void CmdlnTexts_WriteHex ();
import void CmdlnTexts_WriteInt ();
import void CmdlnTexts_WriteLn ();
import void CmdlnTexts_WriteLongReal ();
import void CmdlnTexts_WriteLongRealHex ();
import void CmdlnTexts_WriteReal ();
import void CmdlnTexts_WriteRealFix ();
import void CmdlnTexts_WriteRealHex ();
import void CmdlnTexts_WriteString ();
import void *CmdlnTexts__init();


#endif
