/* Ofront 1.2 -xtspa */

#ifndef Kepler1__h
#define Kepler1__h

#include "SYSTEM.h"
#include "Fonts.h"
#include "KeplerFrames.h"
#include "KeplerGraphs.h"

typedef
	struct Kepler1_AttrDesc { /* KeplerGraphs_ConsDesc */
		INTEGER nofpts;
		KeplerGraphs_Star p[4];
		KeplerGraphs_Constellation next;
		INTEGER width, a1, a2;
	} Kepler1_AttrDesc;

import void Kepler1_AttrLine_Draw ();
import void Kepler1_AttrLine_Read ();
import void Kepler1_AttrLine_Write ();

typedef
	Kepler1_AttrDesc *Kepler1_AttrLine;

typedef
	struct Kepler1_CircleDesc *Kepler1_Circle;

typedef
	struct Kepler1_CircleDesc { /* KeplerGraphs_ConsDesc */
		INTEGER nofpts;
		KeplerGraphs_Star p[4];
		KeplerGraphs_Constellation next;
	} Kepler1_CircleDesc;

import void Kepler1_Circle_Draw ();

typedef
	struct Kepler1_EllipseDesc *Kepler1_Ellipse;

typedef
	struct Kepler1_EllipseDesc { /* KeplerGraphs_ConsDesc */
		INTEGER nofpts;
		KeplerGraphs_Star p[4];
		KeplerGraphs_Constellation next;
	} Kepler1_EllipseDesc;

import void Kepler1_Ellipse_Draw ();

typedef
	struct Kepler1_H90ShapeDesc *Kepler1_H90Shape;

typedef
	struct Kepler1_H90ShapeDesc { /* KeplerGraphs_ConsDesc */
		INTEGER nofpts;
		KeplerGraphs_Star p[4];
		KeplerGraphs_Constellation next;
	} Kepler1_H90ShapeDesc;

import void Kepler1_H90Shape_Draw ();

typedef
	struct Kepler1_HShapeDesc *Kepler1_HShape;

typedef
	struct Kepler1_HShapeDesc { /* KeplerGraphs_ConsDesc */
		INTEGER nofpts;
		KeplerGraphs_Star p[4];
		KeplerGraphs_Constellation next;
	} Kepler1_HShapeDesc;

import void Kepler1_HShape_Draw ();

typedef
	struct Kepler1_LineDesc *Kepler1_Line;

typedef
	struct Kepler1_LineDesc { /* KeplerGraphs_ConsDesc */
		INTEGER nofpts;
		KeplerGraphs_Star p[4];
		KeplerGraphs_Constellation next;
	} Kepler1_LineDesc;

import void Kepler1_Line_Draw ();

typedef
	struct Kepler1_RectangleDesc *Kepler1_Rectangle;

typedef
	struct Kepler1_RectangleDesc { /* KeplerGraphs_ConsDesc */
		INTEGER nofpts;
		KeplerGraphs_Star p[4];
		KeplerGraphs_Constellation next;
	} Kepler1_RectangleDesc;

import void Kepler1_Rectangle_Draw ();

typedef
	struct Kepler1_StringDesc *Kepler1_String;

typedef
	struct Kepler1_StringDesc { /* KeplerFrames_CaptionDesc */
		INTEGER nofpts;
		KeplerGraphs_Star p[4];
		KeplerGraphs_Constellation next;
		CHAR s[128];
		Fonts_Font fnt;
		SHORTINT align;
	} Kepler1_StringDesc;

typedef
	struct Kepler1_TextureDesc *Kepler1_Texture;

typedef
	struct Kepler1_TextureDesc { /* KeplerGraphs_ConsDesc */
		INTEGER nofpts;
		KeplerGraphs_Star p[4];
		KeplerGraphs_Constellation next;
		INTEGER pat;
	} Kepler1_TextureDesc;

import void Kepler1_Texture_Draw ();
import void Kepler1_Texture_Read ();
import void Kepler1_Texture_Write ();

typedef
	struct Kepler1_TriangleDesc *Kepler1_Triangle;

typedef
	struct Kepler1_TriangleDesc { /* KeplerGraphs_ConsDesc */
		INTEGER nofpts;
		KeplerGraphs_Star p[4];
		KeplerGraphs_Constellation next;
		INTEGER pat;
	} Kepler1_TriangleDesc;

import void Kepler1_Triangle_Draw ();
import void Kepler1_Triangle_Read ();
import void Kepler1_Triangle_Write ();



import long *Kepler1_RectangleDesc__typ;
import long *Kepler1_TextureDesc__typ;
import long *Kepler1_LineDesc__typ;
import long *Kepler1_CircleDesc__typ;
import long *Kepler1_EllipseDesc__typ;
import long *Kepler1_StringDesc__typ;
import long *Kepler1_HShapeDesc__typ;
import long *Kepler1_H90ShapeDesc__typ;
import long *Kepler1_AttrDesc__typ;
import long *Kepler1_TriangleDesc__typ;

import void Kepler1_ChangeAlign ();
import void Kepler1_ChangeAttrLine ();
import void Kepler1_ChangeFont ();
import void Kepler1_GetAttrLine ();
import void Kepler1_Line2AttrLine ();
import void Kepler1_NewAttrLine ();
import void Kepler1_NewCircle ();
import void Kepler1_NewEllipse ();
import void Kepler1_NewH90Shape ();
import void Kepler1_NewHShape ();
import void Kepler1_NewLine ();
import void Kepler1_NewRectangle ();
import void Kepler1_NewString ();
import void Kepler1_NewTexture ();
import void Kepler1_NewTriangle ();
import void *Kepler1__init();


#endif
