/* Ofront 1.2 -xtspa */

#ifndef Kepler7__h
#define Kepler7__h

#include "SYSTEM.h"
#include "Display.h"
#include "KeplerFrames.h"
#include "KeplerGraphs.h"
#include "TextFrames.h"
#include "Texts.h"

typedef
	struct Kepler7_FrameDesc *Kepler7_Frame;

typedef
	struct Kepler7_TextDesc *Kepler7_Text;

typedef
	struct Kepler7_FrameDesc { /* TextFrames_FrameDesc */
		Display_Frame dsc, next;
		INTEGER X, Y, W, H;
		Display_Handler handle;
		Texts_Text text;
		LONGINT org;
		INTEGER col, left, right, top, bot, markH, barW;
		LONGINT time;
		BOOLEAN hasCar, hasSel, showsParcs;
		TextFrames_Location carloc, selbeg, selend;
		Display_Frame focus;
		char _prvt0[4];
		Kepler7_Text keplerText;
		KeplerGraphs_Graph graph;
	} Kepler7_FrameDesc;

typedef
	struct Kepler7_TextDesc { /* KeplerFrames_ButtonDesc */
		INTEGER nofpts;
		KeplerGraphs_Star p[4];
		KeplerGraphs_Constellation next;
		CHAR cmd[32], par[32];
		Texts_Text text;
	} Kepler7_TextDesc;

import void Kepler7_Text_Draw ();
import void Kepler7_Text_HandleMouse ();
import void Kepler7_Text_Read ();
import void Kepler7_Text_Write ();



import long *Kepler7_TextDesc__typ;
import long *Kepler7_FrameDesc__typ;

import void Kepler7_NewText ();
import void Kepler7_Update ();
import void *Kepler7__init();


#endif
