/* Ofront 1.2 -xtspa */

#ifndef Kepler9__h
#define Kepler9__h

#include "SYSTEM.h"
#include "KeplerGraphs.h"

typedef
	struct Kepler9_CircleIntersection *Kepler9_CircleInter;

typedef
	struct Kepler9_CircleIntersection { /* KeplerGraphs_PlanetDesc */
		INTEGER x, y, refcnt;
		char _prvt0[2];
		BOOLEAN sel;
		KeplerGraphs_Star next;
		KeplerGraphs_Constellation c;
		SHORTINT sign;
	} Kepler9_CircleIntersection;

import void Kepler9_CircleInter_Calc ();
import void Kepler9_CircleInter_Read ();
import void Kepler9_CircleInter_Write ();

typedef
	struct Kepler9_CircleLineIntersection *Kepler9_CircleLineInter;

typedef
	struct Kepler9_CircleLineIntersection { /* KeplerGraphs_PlanetDesc */
		INTEGER x, y, refcnt;
		char _prvt0[2];
		BOOLEAN sel;
		KeplerGraphs_Star next;
		KeplerGraphs_Constellation c;
		SHORTINT sign;
	} Kepler9_CircleLineIntersection;

import void Kepler9_CircleLineInter_Calc ();
import void Kepler9_CircleLineInter_Read ();
import void Kepler9_CircleLineInter_Write ();

typedef
	struct Kepler9_ExtensionDesc *Kepler9_Extension;

typedef
	struct Kepler9_ExtensionDesc { /* KeplerGraphs_PlanetDesc */
		INTEGER x, y, refcnt;
		char _prvt0[2];
		BOOLEAN sel;
		KeplerGraphs_Star next;
		KeplerGraphs_Constellation c;
	} Kepler9_ExtensionDesc;

import void Kepler9_Extension_Calc ();

typedef
	struct Kepler9_IntersectionDesc *Kepler9_Intersection;

typedef
	struct Kepler9_IntersectionDesc { /* KeplerGraphs_PlanetDesc */
		INTEGER x, y, refcnt;
		char _prvt0[2];
		BOOLEAN sel;
		KeplerGraphs_Star next;
		KeplerGraphs_Constellation c;
	} Kepler9_IntersectionDesc;

import void Kepler9_Intersection_Calc ();

typedef
	struct Kepler9_ParallelDesc *Kepler9_Parallel;

typedef
	struct Kepler9_ParallelDesc { /* KeplerGraphs_PlanetDesc */
		INTEGER x, y, refcnt;
		char _prvt0[2];
		BOOLEAN sel;
		KeplerGraphs_Star next;
		KeplerGraphs_Constellation c;
	} Kepler9_ParallelDesc;

import void Kepler9_Parallel_Calc ();

typedef
	struct Kepler9_RightAngleDesc *Kepler9_RightAngle;

typedef
	struct Kepler9_RightAngleDesc { /* KeplerGraphs_PlanetDesc */
		INTEGER x, y, refcnt;
		char _prvt0[2];
		BOOLEAN sel;
		KeplerGraphs_Star next;
		KeplerGraphs_Constellation c;
	} Kepler9_RightAngleDesc;

import void Kepler9_RightAngle_Calc ();

typedef
	struct Kepler9_TangentDesc *Kepler9_Tangent;

typedef
	struct Kepler9_TangentDesc { /* KeplerGraphs_PlanetDesc */
		INTEGER x, y, refcnt;
		char _prvt0[2];
		BOOLEAN sel;
		KeplerGraphs_Star next;
		KeplerGraphs_Constellation c;
		SHORTINT sign;
	} Kepler9_TangentDesc;

import void Kepler9_Tangent_Calc ();
import void Kepler9_Tangent_Read ();
import void Kepler9_Tangent_Write ();



import long *Kepler9_ParallelDesc__typ;
import long *Kepler9_RightAngleDesc__typ;
import long *Kepler9_IntersectionDesc__typ;
import long *Kepler9_ExtensionDesc__typ;
import long *Kepler9_TangentDesc__typ;
import long *Kepler9_CircleIntersection__typ;
import long *Kepler9_CircleLineIntersection__typ;

import void Kepler9_NewCircleIntersection ();
import void Kepler9_NewCircleLineIntersect ();
import void Kepler9_NewExtension ();
import void Kepler9_NewLineIntersection ();
import void Kepler9_NewParallel ();
import void Kepler9_NewRightAngle ();
import void Kepler9_NewTangent ();
import void *Kepler9__init();


#endif
