/* Ofront 1.2 -xtspa */

#ifndef KeplerFrames__h
#define KeplerFrames__h

#include "SYSTEM.h"
#include "Display.h"
#include "Fonts.h"
#include "KeplerGraphs.h"
#include "KeplerPorts.h"

typedef
	struct KeplerFrames_ButtonDesc *KeplerFrames_Button;

typedef
	struct KeplerFrames_ButtonDesc { /* KeplerGraphs_ConsDesc */
		INTEGER nofpts;
		KeplerGraphs_Star p[4];
		KeplerGraphs_Constellation next;
		CHAR cmd[32], par[32];
	} KeplerFrames_ButtonDesc;

import void KeplerFrames_Button_Execute ();
import void KeplerFrames_Button_HandleMouse ();
import void KeplerFrames_Button_Read ();
import void KeplerFrames_Button_Write ();
#define __KeplerFrames_Button_Execute(B, keys) __SEND(__TYPEOF(B), 4, void(*)(), (B, keys))
#define __KeplerFrames_Button_HandleMouse(B, F, x, y, keys) __SEND(__TYPEOF(B), 5, void(*)(), (B, F, x, y, keys))

typedef
	struct KeplerFrames_CaptionDesc *KeplerFrames_Caption;

typedef
	struct KeplerFrames_CaptionDesc { /* KeplerGraphs_ConsDesc */
		INTEGER nofpts;
		KeplerGraphs_Star p[4];
		KeplerGraphs_Constellation next;
		CHAR s[128];
		Fonts_Font fnt;
		SHORTINT align;
	} KeplerFrames_CaptionDesc;

import void KeplerFrames_Caption_Draw ();
import void KeplerFrames_Caption_Read ();
import void KeplerFrames_Caption_Write ();

typedef
	struct KeplerFrames_FocusPointDesc *KeplerFrames_FocusPoint;

typedef
	struct KeplerFrames_FocusPointDesc {
		KeplerFrames_FocusPoint next;
		KeplerGraphs_Star p;
	} KeplerFrames_FocusPointDesc;

typedef
	struct KeplerFrames_FrameDesc *KeplerFrames_Frame;

typedef
	struct KeplerFrames_FrameDesc { /* KeplerPorts_DisplayPortDesc */
		Display_Frame dsc, next;
		INTEGER X, Y, W, H;
		Display_Handler handle;
		INTEGER x0, y0, scale;
		KeplerPorts_Port ext;
		KeplerGraphs_Graph G;
		INTEGER col, grid;
	} KeplerFrames_FrameDesc;

import void KeplerFrames_Frame_Consume ();
import void KeplerFrames_Frame_EditFrame ();
import void KeplerFrames_Frame_Extend ();
import void KeplerFrames_Frame_Invert ();
import void KeplerFrames_Frame_Neutralize ();
import void KeplerFrames_Frame_Reduce ();
import void KeplerFrames_Frame_Restore ();
import void KeplerFrames_Frame_TrackMouse ();
#define __KeplerFrames_Frame_Consume(F, ch) __SEND(__TYPEOF(F), 12, void(*)(), (F, ch))
#define __KeplerFrames_Frame_EditFrame(F, x, y, keys) __SEND(__TYPEOF(F), 13, void(*)(), (F, x, y, keys))
#define __KeplerFrames_Frame_Extend(F, newY) __SEND(__TYPEOF(F), 14, void(*)(), (F, newY))
#define __KeplerFrames_Frame_Invert(F, p) __SEND(__TYPEOF(F), 15, void(*)(), (F, p))
#define __KeplerFrames_Frame_Neutralize(F) __SEND(__TYPEOF(F), 16, void(*)(), (F))
#define __KeplerFrames_Frame_Reduce(F, newY) __SEND(__TYPEOF(F), 17, void(*)(), (F, newY))
#define __KeplerFrames_Frame_Restore(F, X, Y, W, H) __SEND(__TYPEOF(F), 18, void(*)(), (F, X, Y, W, H))
#define __KeplerFrames_Frame_TrackMouse(F, x, y, keys) __SEND(__TYPEOF(F), 19, void(*)(), (F, x, y, keys))

typedef
	void (*KeplerFrames_Notifier)();

typedef
	struct KeplerFrames_SelMsg { /* Display_FrameMsg */
		LONGINT time;
		KeplerGraphs_Graph G;
	} KeplerFrames_SelMsg;

typedef
	struct KeplerFrames_UpdateMsg { /* Display_FrameMsg */
		INTEGER id;
		KeplerGraphs_Graph G;
		KeplerGraphs_Object O;
		KeplerPorts_Port P;
	} KeplerFrames_UpdateMsg;


import KeplerGraphs_Graph KeplerFrames_Focus;
import KeplerFrames_FocusPoint KeplerFrames_first, KeplerFrames_last;
import INTEGER KeplerFrames_nofpts;
import KeplerFrames_Caption KeplerFrames_focus;
import INTEGER KeplerFrames_carpos;

import long *KeplerFrames_FocusPointDesc__typ;
import long *KeplerFrames_ButtonDesc__typ;
import long *KeplerFrames_CaptionDesc__typ;
import long *KeplerFrames_FrameDesc__typ;
import long *KeplerFrames_UpdateMsg__typ;
import long *KeplerFrames_SelMsg__typ;

import void KeplerFrames_AlignToGrid ();
import void KeplerFrames_AppendFocusPoint ();
import void KeplerFrames_ConsumePoint ();
import void KeplerFrames_DeleteFocusPoint ();
import void KeplerFrames_GetMouse ();
import void KeplerFrames_GetPoint ();
import void KeplerFrames_GetSelection ();
import void KeplerFrames_Handle ();
import BOOLEAN KeplerFrames_IsFocusPoint ();
import KeplerFrames_Button KeplerFrames_MarkedButton ();
import void KeplerFrames_MoveOrigin ();
import KeplerFrames_Frame KeplerFrames_New ();
import void KeplerFrames_NotifyDisplay ();
import void KeplerFrames_Open ();
import KeplerFrames_Button KeplerFrames_ThisButton ();
import KeplerFrames_Caption KeplerFrames_ThisCaption ();
import void *KeplerFrames__init();


#endif
