/* Ofront 1.2 -xtspa */

#ifndef KeplerGraphs__h
#define KeplerGraphs__h

#include "SYSTEM.h"

typedef
	struct KeplerGraphs_ObjectDesc {
		char _prvt0[1];
	} KeplerGraphs_ObjectDesc;

import void KeplerGraphs_Object_Draw ();
import void KeplerGraphs_Object_Read ();
import void KeplerGraphs_Object_Write ();
#define __KeplerGraphs_Object_Draw(self, P) __SEND(__TYPEOF(self), 0, void(*)(), (self, P))
#define __KeplerGraphs_Object_Read(self, R, R__typ) __SEND(__TYPEOF(self), 1, void(*)(), (self, R, R__typ))
#define __KeplerGraphs_Object_Write(self, R, R__typ) __SEND(__TYPEOF(self), 2, void(*)(), (self, R, R__typ))

typedef
	struct KeplerGraphs_StarDesc *KeplerGraphs_Star;

typedef
	struct KeplerGraphs_ConsDesc *KeplerGraphs_Constellation;

typedef
	struct KeplerGraphs_ConsDesc { /* KeplerGraphs_ObjectDesc */
		INTEGER nofpts;
		KeplerGraphs_Star p[4];
		KeplerGraphs_Constellation next;
	} KeplerGraphs_ConsDesc;

import void KeplerGraphs_Constellation_Read ();
import INTEGER KeplerGraphs_Constellation_State ();
import void KeplerGraphs_Constellation_Write ();
#define __KeplerGraphs_Constellation_State(self) __SEND(__TYPEOF(self), 3, INTEGER(*)(), (self))

typedef
	struct KeplerGraphs_GraphDesc *KeplerGraphs_Graph;

typedef
	KeplerGraphs_ObjectDesc *KeplerGraphs_Object;

typedef
	void (*KeplerGraphs_Notifier)();

typedef
	struct KeplerGraphs_GraphDesc { /* KeplerGraphs_ObjectDesc */
		KeplerGraphs_Constellation cons;
		char _prvt0[4];
		KeplerGraphs_Star stars;
		char _prvt1[4];
		LONGINT seltime;
		KeplerGraphs_Notifier notify;
	} KeplerGraphs_GraphDesc;

import void KeplerGraphs_Graph_All ();
import void KeplerGraphs_Graph_Append ();
import void KeplerGraphs_Graph_CopySelection ();
import void KeplerGraphs_Graph_Delete ();
import void KeplerGraphs_Graph_DeleteSelection ();
import void KeplerGraphs_Graph_Draw ();
import void KeplerGraphs_Graph_FlipSelection ();
import void KeplerGraphs_Graph_Insert ();
import void KeplerGraphs_Graph_Move ();
import void KeplerGraphs_Graph_MoveSelection ();
import void KeplerGraphs_Graph_Read ();
import void KeplerGraphs_Graph_SendToBack ();
import void KeplerGraphs_Graph_Write ();
import void KeplerGraphs_Graph_WriteSel ();
#define __KeplerGraphs_Graph_All(G, op) __SEND(__TYPEOF(G), 3, void(*)(), (G, op))
#define __KeplerGraphs_Graph_Append(G, o) __SEND(__TYPEOF(G), 4, void(*)(), (G, o))
#define __KeplerGraphs_Graph_CopySelection(G, from, dx, dy) __SEND(__TYPEOF(G), 5, void(*)(), (G, from, dx, dy))
#define __KeplerGraphs_Graph_Delete(G, o) __SEND(__TYPEOF(G), 6, void(*)(), (G, o))
#define __KeplerGraphs_Graph_DeleteSelection(G, minstate) __SEND(__TYPEOF(G), 7, void(*)(), (G, minstate))
#define __KeplerGraphs_Graph_FlipSelection(G, p) __SEND(__TYPEOF(G), 8, void(*)(), (G, p))
#define __KeplerGraphs_Graph_Insert(G, c, before) __SEND(__TYPEOF(G), 9, void(*)(), (G, c, before))
#define __KeplerGraphs_Graph_Move(G, s, dx, dy) __SEND(__TYPEOF(G), 10, void(*)(), (G, s, dx, dy))
#define __KeplerGraphs_Graph_MoveSelection(G, dx, dy) __SEND(__TYPEOF(G), 11, void(*)(), (G, dx, dy))
#define __KeplerGraphs_Graph_SendToBack(G, o) __SEND(__TYPEOF(G), 12, void(*)(), (G, o))
#define __KeplerGraphs_Graph_WriteSel(G, R, R__typ) __SEND(__TYPEOF(G), 13, void(*)(), (G, R, R__typ))

typedef
	struct KeplerGraphs_PlanetDesc *KeplerGraphs_Planet;

typedef
	struct KeplerGraphs_StarDesc { /* KeplerGraphs_ObjectDesc */
		INTEGER x, y, refcnt;
		char _prvt0[2];
		BOOLEAN sel;
		KeplerGraphs_Star next;
	} KeplerGraphs_StarDesc;

import void KeplerGraphs_Star_Draw ();
import void KeplerGraphs_Star_Read ();
import void KeplerGraphs_Star_Write ();

typedef
	struct KeplerGraphs_PlanetDesc { /* KeplerGraphs_StarDesc */
		INTEGER x, y, refcnt;
		char _prvt0[2];
		BOOLEAN sel;
		KeplerGraphs_Star next;
		KeplerGraphs_Constellation c;
	} KeplerGraphs_PlanetDesc;

import void KeplerGraphs_Planet_Calc ();
import void KeplerGraphs_Planet_Draw ();
import void KeplerGraphs_Planet_Read ();
import void KeplerGraphs_Planet_Write ();
#define __KeplerGraphs_Planet_Calc(self) __SEND(__TYPEOF(self), 3, void(*)(), (self))


import KeplerGraphs_Graph KeplerGraphs_loading;

import long *KeplerGraphs_ObjectDesc__typ;
import long *KeplerGraphs_StarDesc__typ;
import long *KeplerGraphs_ConsDesc__typ;
import long *KeplerGraphs_PlanetDesc__typ;
import long *KeplerGraphs_GraphDesc__typ;

import void KeplerGraphs_GetType ();
import KeplerGraphs_Graph KeplerGraphs_Old ();
import void KeplerGraphs_ReadObj ();
import void KeplerGraphs_Recall ();
import void KeplerGraphs_Reset ();
import void KeplerGraphs_WriteObj ();
import void *KeplerGraphs__init();


#endif
