/* Ofront 1.2 -xtspa */

#ifndef Oberon__h
#define Oberon__h

#include "SYSTEM.h"
#include "Display.h"
#include "Fonts.h"
#include "Texts.h"
#include "Viewers.h"

typedef
	struct Oberon_ControlMsg { /* Display_FrameMsg */
		INTEGER id, X, Y;
	} Oberon_ControlMsg;

typedef
	struct Oberon_CopyMsg { /* Display_FrameMsg */
		Display_Frame F;
	} Oberon_CopyMsg;

typedef
	struct Oberon_CopyOverMsg { /* Display_FrameMsg */
		Texts_Text text;
		LONGINT beg, end;
	} Oberon_CopyOverMsg;

typedef
	void (*Oberon_Painter)();

typedef
	struct Oberon_Marker {
		Oberon_Painter Fade, Draw;
	} Oberon_Marker;

typedef
	struct Oberon_Cursor {
		Oberon_Marker marker;
		BOOLEAN on;
		INTEGER X, Y;
	} Oberon_Cursor;

typedef
	void (*Oberon_Handler)();

typedef
	struct Oberon_InputMsg { /* Display_FrameMsg */
		INTEGER id;
		SET keys;
		INTEGER X, Y;
		CHAR ch;
		Fonts_Font fnt;
		SHORTINT col, voff;
	} Oberon_InputMsg;

typedef
	struct Oberon_ParRec *Oberon_ParList;

typedef
	struct Oberon_ParRec {
		Viewers_Viewer vwr;
		Display_Frame frame;
		Texts_Text text;
		LONGINT pos;
	} Oberon_ParRec;

typedef
	struct Oberon_SelectionMsg { /* Display_FrameMsg */
		LONGINT time;
		Texts_Text text;
		LONGINT beg, end;
	} Oberon_SelectionMsg;

typedef
	struct Oberon_TaskDesc *Oberon_Task;

typedef
	struct Oberon_TaskDesc {
		LONGINT _prvt0;
		BOOLEAN safe;
		LONGINT time;
		Oberon_Handler handle;
	} Oberon_TaskDesc;


import CHAR Oberon_User[12];
import Oberon_Marker Oberon_Arrow, Oberon_Star;
import Oberon_Cursor Oberon_Mouse, Oberon_Pointer;
import Viewers_Viewer Oberon_FocusViewer;
import Texts_Text Oberon_Log;
import Oberon_ParList Oberon_Par;
import Oberon_Task Oberon_CurTask;
import Fonts_Font Oberon_CurFnt;
import SHORTINT Oberon_CurCol, Oberon_CurOff;
import LONGINT Oberon_Password;

import long *Oberon_Marker__typ;
import long *Oberon_Cursor__typ;
import long *Oberon_ParRec__typ;
import long *Oberon_InputMsg__typ;
import long *Oberon_SelectionMsg__typ;
import long *Oberon_ControlMsg__typ;
import long *Oberon_CopyOverMsg__typ;
import long *Oberon_CopyMsg__typ;
import long *Oberon_TaskDesc__typ;

import void Oberon_AllocateSystemViewer ();
import void Oberon_AllocateUserViewer ();
import void Oberon_Call ();
import void Oberon_Collect ();
import INTEGER Oberon_DisplayHeight ();
import INTEGER Oberon_DisplayWidth ();
import void Oberon_DrawCursor ();
import void Oberon_FadeCursor ();
import void Oberon_GetClock ();
import void Oberon_GetSelection ();
import void Oberon_Install ();
import void Oberon_Loop ();
import Viewers_Viewer Oberon_MarkedViewer ();
import void Oberon_OpenCursor ();
import void Oberon_OpenDisplay ();
import void Oberon_OpenTrack ();
import void Oberon_PassFocus ();
import void Oberon_Remove ();
import void Oberon_RemoveMarks ();
import void Oberon_SetClock ();
import void Oberon_SetColor ();
import void Oberon_SetFont ();
import void Oberon_SetOffset ();
import void Oberon_SetUser ();
import INTEGER Oberon_SystemTrack ();
import LONGINT Oberon_Time ();
import INTEGER Oberon_UserTrack ();
import void *Oberon__init();


#endif
