/* Ofront 1.2 -xtspa */

#ifndef TextFrames__h
#define TextFrames__h

#include "SYSTEM.h"
#include "Display.h"
#include "Fonts.h"
#include "Texts.h"

typedef
	struct TextFrames_DisplayMsg { /* Texts_ElemMsg */
		BOOLEAN prepare;
		Fonts_Font fnt;
		SHORTINT col;
		LONGINT pos;
		Display_Frame frame;
		INTEGER X0, Y0;
		LONGINT indent;
		Display_Frame elemFrame;
	} TextFrames_DisplayMsg;

typedef
	struct TextFrames_FocusMsg { /* Texts_ElemMsg */
		BOOLEAN focus;
		Display_Frame elemFrame, frame;
	} TextFrames_FocusMsg;

typedef
	struct TextFrames_FrameDesc *TextFrames_Frame;

typedef
	struct TextFrames_Location {
		LONGINT org, pos;
		INTEGER x, y, dx, dy;
		char _prvt0[4];
	} TextFrames_Location;

typedef
	struct TextFrames_FrameDesc { /* Display_FrameDesc */
		Display_Frame dsc, next;
		INTEGER X, Y, W, H;
		Display_Handler handle;
		Texts_Text text;
		LONGINT org;
		INTEGER col, left, right, top, bot, markH, barW;
		LONGINT time;
		BOOLEAN hasCar, hasSel, showsParcs;
		TextFrames_Location carloc, selbeg, selend;
		Display_Frame focus;
		char _prvt0[4];
	} TextFrames_FrameDesc;

typedef
	struct TextFrames_InsertElemMsg { /* Display_FrameMsg */
		Texts_Elem e;
	} TextFrames_InsertElemMsg;

typedef
	struct TextFrames_NotifyMsg { /* Display_FrameMsg */
		Display_Frame frame;
	} TextFrames_NotifyMsg;

typedef
	struct TextFrames_ParcDesc *TextFrames_Parc;

typedef
	struct TextFrames_ParcDesc { /* Texts_ElemDesc */
		char _prvt0[20];
		LONGINT W, H;
		Texts_Handler handle;
		char _prvt1[4];
		LONGINT left, first, width, lead, lsp, dsr;
		SET opts;
		INTEGER nofTabs;
		LONGINT tab[32];
	} TextFrames_ParcDesc;

typedef
	struct TextFrames_TrackMsg { /* Texts_ElemMsg */
		INTEGER X, Y;
		SET keys;
		Fonts_Font fnt;
		SHORTINT col;
		LONGINT pos;
		Display_Frame frame;
		INTEGER X0, Y0;
	} TextFrames_TrackMsg;

typedef
	struct TextFrames_UpdateMsg { /* Display_FrameMsg */
		INTEGER id;
		Texts_Text text;
		LONGINT beg, end;
	} TextFrames_UpdateMsg;


import INTEGER TextFrames_menuH, TextFrames_barW, TextFrames_left, TextFrames_right, TextFrames_top, TextFrames_bot;
import TextFrames_Parc TextFrames_defParc;

import long *TextFrames_ParcDesc__typ;
import long *TextFrames_Location__typ;
import long *TextFrames_FrameDesc__typ;
import long *TextFrames_DisplayMsg__typ;
import long *TextFrames_TrackMsg__typ;
import long *TextFrames_FocusMsg__typ;
import long *TextFrames_NotifyMsg__typ;
import long *TextFrames_UpdateMsg__typ;
import long *TextFrames_InsertElemMsg__typ;

import void TextFrames_Handle ();
import void TextFrames_LocateChar ();
import void TextFrames_LocateLine ();
import void TextFrames_LocatePos ();
import void TextFrames_LocateWord ();
import void TextFrames_Mark ();
import TextFrames_Frame TextFrames_NewMenu ();
import TextFrames_Frame TextFrames_NewText ();
import void TextFrames_NotifyDisplay ();
import void TextFrames_Open ();
import void TextFrames_ParcBefore ();
import LONGINT TextFrames_Pos ();
import void TextFrames_RemoveCaret ();
import void TextFrames_RemoveSelection ();
import void TextFrames_SetCaret ();
import void TextFrames_SetSelection ();
import void TextFrames_Show ();
import Texts_Text TextFrames_Text ();
import void TextFrames_TrackCaret ();
import void TextFrames_TrackLine ();
import void TextFrames_TrackSelection ();
import void TextFrames_TrackWord ();
import void *TextFrames__init();


#endif
