/* Ofront 1.2 -xtspa */

#ifndef Texts__h
#define Texts__h

#include "SYSTEM.h"
#include "Files.h"
#include "Fonts.h"

typedef
	struct Texts_BufDesc {
		LONGINT len;
		char _prvt0[4];
	} Texts_BufDesc;

typedef
	Texts_BufDesc *Texts_Buffer;

typedef
	struct Texts_ElemMsg {
		char _prvt0[1];
	} Texts_ElemMsg;

typedef
	struct Texts_ElemDesc *Texts_Elem;

typedef
	struct Texts_CopyMsg { /* Texts_ElemMsg */
		Texts_Elem e;
	} Texts_CopyMsg;

typedef
	struct Texts_RunDesc {
		LONGINT _prvt0;
		char _prvt1[15];
	} Texts_RunDesc;

typedef
	void (*Texts_Handler)();

typedef
	struct Texts_ElemDesc {
		char _prvt0[20];
		LONGINT W, H;
		Texts_Handler handle;
		char _prvt1[4];
	} Texts_ElemDesc;

typedef
	struct Texts_FileMsg { /* Texts_ElemMsg */
		INTEGER id;
		LONGINT pos;
		Files_Rider r;
	} Texts_FileMsg;

typedef
	struct Texts_IdentifyMsg { /* Texts_ElemMsg */
		CHAR mod[32], proc[32];
	} Texts_IdentifyMsg;

typedef
	struct Texts_TextDesc *Texts_Text;

typedef
	void (*Texts_Notifier)();

typedef
	struct Texts_Reader {
		BOOLEAN eot;
		Fonts_Font fnt;
		SHORTINT col, voff;
		Texts_Elem elem;
		char _prvt0[32];
	} Texts_Reader;

typedef
	struct Texts_Scanner { /* Texts_Reader */
		BOOLEAN eot;
		Fonts_Font fnt;
		SHORTINT col, voff;
		Texts_Elem elem;
		char _prvt0[32];
		CHAR nextCh;
		INTEGER line, class;
		LONGINT i;
		REAL x;
		LONGREAL y;
		CHAR c;
		SHORTINT len;
		CHAR s[64];
	} Texts_Scanner;

typedef
	struct Texts_TextDesc {
		LONGINT len;
		Texts_Notifier notify;
		char _prvt0[12];
	} Texts_TextDesc;

typedef
	struct Texts_Writer {
		Texts_Buffer buf;
		Fonts_Font fnt;
		SHORTINT col, voff;
		char _prvt0[26];
	} Texts_Writer;


import Texts_Elem Texts_new;

import long *Texts_RunDesc__typ;
import long *Texts_ElemMsg__typ;
import long *Texts_ElemDesc__typ;
import long *Texts_FileMsg__typ;
import long *Texts_CopyMsg__typ;
import long *Texts_IdentifyMsg__typ;
import long *Texts_BufDesc__typ;
import long *Texts_TextDesc__typ;
import long *Texts_Reader__typ;
import long *Texts_Scanner__typ;
import long *Texts_Writer__typ;

import void Texts_Append ();
import void Texts_ChangeLooks ();
import void Texts_Close ();
import void Texts_Copy ();
import void Texts_CopyElem ();
import void Texts_Delete ();
import Texts_Text Texts_ElemBase ();
import LONGINT Texts_ElemPos ();
import void Texts_Insert ();
import void Texts_Load ();
import void Texts_Open ();
import void Texts_OpenBuf ();
import void Texts_OpenReader ();
import void Texts_OpenScanner ();
import void Texts_OpenWriter ();
import LONGINT Texts_Pos ();
import void Texts_Read ();
import void Texts_ReadElem ();
import void Texts_ReadPrevElem ();
import void Texts_Recall ();
import void Texts_Save ();
import void Texts_Scan ();
import void Texts_SetColor ();
import void Texts_SetFont ();
import void Texts_SetOffset ();
import void Texts_Store ();
import void Texts_Write ();
import void Texts_WriteDate ();
import void Texts_WriteElem ();
import void Texts_WriteHex ();
import void Texts_WriteInt ();
import void Texts_WriteLn ();
import void Texts_WriteLongReal ();
import void Texts_WriteLongRealHex ();
import void Texts_WriteReal ();
import void Texts_WriteRealFix ();
import void Texts_WriteRealHex ();
import void Texts_WriteString ();
import void *Texts__init();


#endif
